#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
. "utils/env.shlib"
DSA=$1
DIR=$2
TYPE=$3
if [[ -z "$DIR" ]]; then
   DIR="."
fi
STATUS=$(requireStopped "$DSA")
if [ "$STATUS" -ne 0 ] ; then
   exit "$STATUS"
fi
   if [[ -z "$TYPE" ]] ; then
      TYPE="octet-stream,--output,${DIR}/$DSA.ldif"
   elif [[ "$TYPE" == "gzip" ]] ; then
      TYPE="x-gzip,--output,${DIR}/$DSA.ldif.gz"
   elif [[ "$TYPE" == "bzip2" ]] ; then
      TYPE="x-bzip2,--output,${DIR}/$DSA.ldif.bz2"
   elif [[ "$TYPE" == "ldif" ]] ; then
      TYPE="octet-stream,--output,${DIR}/$DSA.ldif"
   else
      >&2 echo type "$TYPE" is not supported
      exit 2
   fi
   bash "$MYPATH/coreZ010/get.sh" "$DSA" "" \
      "--header,Accept: application/$TYPE"
