#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../../..
JSON=$$.json
NAME=dsa$$
HOST=$(hostname)
PORT=60000
bash "$MYPATH"/simplerouter.temp "$NAME" "$HOST" "$PORT" > "$JSON"
EXIST=$(bash dsas/create.sh "$JSON")
EXIST=$(bash dsas/exist.sh "$NAME"); STATUS=$?
if [[ "$STATUS" -ne 0 ]] ; then
    >&2 echo "DSA $NAME creation failed, test stopped"
    exit 1
else
    >&2 echo "DSA $NAME created"
    echo "$EXIST" |
        ./jq '{ "name": .name, "status": .status, "console-port": .config.knowledge[0]."console-port" }'
fi
bash dsas/status.sh "$NAME"
>&2 echo triggering log roll, expecting error ...
bash "$MYPATH/../trigger.sh" "$NAME"
bash dsas/status/start.sh "$NAME"
>&2 echo triggering log roll ...
export OPT=-i
bash "$MYPATH/../trigger.sh" "$NAME"
export OPT=
bash dsas/delete.sh "$NAME"
