#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
. "utils/env.shlib"
DSA=$1
STATUS=$(requireExist "$DSA")
if [ "$STATUS" -ne 0 ] ; then
   exit "$STATUS"
fi
NAME=$1
TYPE=$2
MAXLINES=$3
LASTENTRYTIME=$4
if [[ "$TYPE" != "alarm" && "$TYPE" != "stats" ]] ; then
   >&2 echo only alarm or stats logs are supported
   exit 2
fi
QUERY=
SEP=
if [[ ! -z "$MAXLINES" ]] ; then
   QUERY="max_results=$MAXLINES"
   SEP="&"
fi
if [[ ! -z "$LASTENTRYTIME" ]] ; then
   QUERY="${QUERY}${SEP}last_entry_time=${LASTENTRYTIME}"
fi
bash "${MYPATH}/coreZ0110/get.sh" "$NAME" "$TYPE" "$QUERY"
